@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@700&display=swap');

*{
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body{
    background: #000000;
    min-height:150vh;
}
header ul li a{
    text-transform: uppercase;
}
header ul li  a:hover{
    transform: scale(1.5);
    text-underline-position: below;
    text-underline-offset: transform scale(1.03);
}
header ul li::after{
    content: '';
    height: 2.5px;
    background:#fada5e;
    display: block;
    margin: auto;
    transition: 0.5s;
    width: 0%;
}

header ul li:hover::after{
    width: 90%;
}
header{
    position:fixed;
    top: 0;
    left: 0;
    display: flex;
    width:100%;
    justify-content: space-between; 
    align-items: center;
    transition:0.6s;
    padding:40px 100px;
    z-index: 100000;

}
h2{
    color:white;
}


header .logo{
    position: relative;
    font-weight: 700;
    color:#fff;
    text-decoration: none;
    font-size:2em;
    text-transform: uppercase;
    letter-spacing:2px;
    transition:0.6s
}
header ul{
    position: relative;
    display:flex;
    justify-content:center;
    margin-right: 0px;
    align-items: center;
}
header ul li{
    position: relative;
list-style: none;
}
header ul li a{
    position: relative;
   text-decoration:none;
   margin: 0 20px;
   color:#fff;
   letter-spacing:2px;
   font-weight:500px;
   transition:0.6s;
   font-size:20px;
   font-family: 'Roboto', sans-serif;
}

.banner{
    position: relative;
    width: 100%;
    height: 100vh;
    background:linear-gradient(rgba(0, 2, 2, 0.7),rgb(3, 2, 3)),url(./Images/bg.jpg)no-repeat;
    background-position: center;
    background-size: cover;
}

header.sticky{
    padding: 5px 100px;
    background:#fff;
}

header.sticky .logo,
header.sticky ul li a{
color: #000;
}
/* -------------------FOOTER ----------------------*/

footer {
  background-color: #232b2b;
  color: #fff;
  padding-bottom: 0px;
  margin-bottom: 0px;
}

.content {
  padding-left: 20px;
  padding-top: 5%;
}

.about {
  padding-top: 2%;
  padding-bottom: 3%;
  border-bottom: 2px solid rgb(255, 230, 0);
}

.serv-list li a {
  color: aliceblue;
  list-style: none;
}

ul li {
  list-style: none;
}

ul li a {
  text-decoration: none;
}

.serv-list li a:hover {
  text-decoration: underline;
  color: #dedede;
}
.explore {
  padding-top: 0px;
  margin-top: 0px;
  margin-left: 45%;
  transform: translateY(-154%);
  padding-bottom: 0px;
  margin-bottom: 0px;
}
.ex,
.follow {
  padding-bottom: 3%;
}

.follow {
  margin-top: 36%;
}
.social {
  padding-top: 0px;
  margin-top: 0px;
  margin-left: 80%;
  transform: translateY(-560%);
  padding-bottom: 0px;
  margin-bottom: 0px;
}

.foot2 {
  text-align: center;
  background-color: rgb(32, 30, 30);
}
span {
  color: rgb(228, 224, 20);
  font-weight: bold;
}

.fab {
  margin-right: 10px;
  margin-left: 10px;
}
.fab:hover {
  transform: scale(1.2);
  transition: 0.5s all ease-in-out;
}

.fa-instagram:hover {
  color: #ca3bab;
}

.fa-facebook:hover {
  color: #3b5998;
}
.fa-twitter:hover {
  color: #1da1f2;
}

.fab {
  font-size: 30px;
  color: #fff;
}

/*------------------- Newletter------------------ */

form {
  transform: translateY(-130%);
  text-align: center;
}
.news {
  letter-spacing: 2px;
}
.emailbox {
  outline: none;
  border: none;
  height: 42px;
  font-size: 16px;
  padding-left: 20px;
}
.newsletter-box {
  padding-top: 20px;
}

.letter {
  width: 90px;
  height: 44px;
  text-transform: uppercase;
  background-color: #fdff00;
  color: rgb(7, 7, 7);
  cursor: pointer;
  outline: none;
  border: none;
}

.letter:hover {
  background-color: #1b1a18;
  color: rgb(253, 247, 247);
}

/* -------------------------MEDIA QUERIES-------------------- */

/* Desktopn view */
@media only screen and (min-width: 1080px) {
  .icon {
    visibility: hidden;
  }
  .fa-times,
  .fa-bars {
    visibility: hidden;
  }
}

/* Tablet View */

@media only screen and (max-width: 1024px) {
  .icon {
    visibility: hidden;
  }
  .fa-times,
  .fa-bars {
    visibility: hidden;
  }
  img.fav {
    padding-top: 4px;
    padding-left: 0%;
  }

  .logo {
    padding-top: 4px;
    margin-right: -1%;
  }
  .explore {
    margin-left: 50%;
    transform: translateY(-147%);
  }
  .social {
    margin-right: 1%;
    transform: translateY(-501%);
  }
  .fab {
    font-size: 27px;
  }
  header ul li a {
    font-size: 15px;
  }
}

/* Mobile View */

@media only screen and (max-width: 767px) {
  .f2 {
    font-size: 12px;
  }
  .news {
    font-size: 19px;
  }
  .sub {
    font-size: 14px;
  }

  .emailbox {
    outline: none;
    border: none;
    height: 40px;
    font-size: 12px;
  }
  .newsletter-box {
    padding-top: 10px;
  }

  .letter {
    width: 90px;
    height: 41px;
    text-transform: uppercase;
    background-color: #fdff00;
    color: rgb(7, 7, 7);
    cursor: pointer;
    outline: none;
    border: none;
    font-size: 12px;
  }

  .letter:hover {
    background-color: #1b1a18;
    color: rgb(253, 247, 247);
  }
  .content {
    padding-left: 4px;
    padding-top: 2%;
  }
  .head-1,
  .ex,
  .follow {
    font-size: 13px;
    padding-bottom: 1%;
  }
  .serv-list li a,
  .about {
    padding-top: 2%;
    font-size: 10px;
  }

  .explore {
    padding-top: 2%;
    transform: translateY(-107%);
    padding-left: 29px;
  }
  .social {
    margin-right: 0%;
    transform: translateY(-510%);
  }
  .fab {
    font-size: 11px;
    margin-right: 5px;
    margin-left: 5px;
  }
}

/* CSS TEXT ANIMATION */

.info {
  transform: translateY(-200%);
  color: white;
  font-size: 43px;
  text-align: center;
  margin-left: 5%;
}
.span {
  font-family: 'Overpass', sans-serif;
}

.start a {
  text-decoration: none;
  color: rgb(2, 2, 2);
  font-size: 15px;
  cursor: pointer;
  float: left;
  padding-left: 18px;
}

.start {
  width: 130px;
  height: 54px;
  text-transform: uppercase;
  background-color: #dada3f;
  border: none;
  margin-top: 60px;
  border-radius: 6px;
  outline: none;
}

.start:hover {
  background-color: #fdff00;
}

/*  PRELOADER CODE BEGIN  */

.no-scroll-y {
  overflow-y: hidden;
}

.ctn-preloader {
  align-items: center;
  cursor: none;
  display: flex;
  height: 100%;
  justify-content: center;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 900;
}

.ctn-preloader .animation-preloader {
  position: absolute;
  z-index: 100;
}
.ctn-preloader .animation-preloader .spinner {
  animation: spinner 1s infinite linear;
  border-radius: 50%;
  border: 3px solid rgba(38, 42, 14, 0.863);
  border-top-color: #929217;
  height: 9em;
  margin: 0 auto 3.5em auto;
  width: 9em;
}
.ctn-preloader .animation-preloader .txt-loading {
  font: bold 5em 'Montserrat', sans-serif;
  text-align: center;
  user-select: none;
}

.ctn-preloader .animation-preloader .txt-loading .letters-loading:before {
  animation: letters-loading 4s infinite;
  color: #fffffac7;
  content: attr(data-text-preloader);
  left: 0;
  opacity: 0;
  position: absolute;
  top: 0;
  transform: rotateY(-90deg);
}

.ctn-preloader .animation-preloader .txt-loading .letters-loading {
  color: rgba(223, 186, 117, 0.2);
  position: relative;
}

.ctn-preloader
  .animation-preloader
  .txt-loading
  .letters-loading:nth-child(2):before {
  animation-delay: 0.2s;
}

.ctn-preloader
  .animation-preloader
  .txt-loading
  .letters-loading:nth-child(3):before {
  animation-delay: 0.4s;
}

.ctn-preloader
  .animation-preloader
  .txt-loading
  .letters-loading:nth-child(4):before {
  animation-delay: 0.6s;
}

.ctn-preloader
  .animation-preloader
  .txt-loading
  .letters-loading:nth-child(5):before {
  animation-delay: 0.8s;
}

.ctn-preloader
  .animation-preloader
  .txt-loading
  .letters-loading:nth-child(6):before {
  animation-delay: 1s;
}

.ctn-preloader
  .animation-preloader
  .txt-loading
  .letters-loading:nth-child(7):before {
  animation-delay: 1.2s;
}

.ctn-preloader .loader-section {
  background-color: rgb(17, 17, 17);
  height: 100%;
  position: fixed;
  top: 0;
  width: calc(50% + 1px);
}

.ctn-preloader .loader-section.section-left {
  left: 0;
}

.ctn-preloader .loader-section.section-right {
  right: 0;
}
.loaded .animation-preloader {
  opacity: 0;
  transition: 0.3s ease-out;
}
.loaded .loader-section.section-left {
  transform: translateX(-101%);
  transition: 0.7s 0.3s all cubic-bezier(0.1, 0.1, 0.1, 1);
}

.loaded .loader-section.section-right {
  transform: translateX(101%);
  transition: 0.7s 0.3s all cubic-bezier(0.1, 0.1, 0.1, 1);
}
@keyframes spinner {
  to {
    transform: rotateZ(360deg);
  }
}
@keyframes letters-loading {
  0%,
  75%,
  100% {
    opacity: 0;
    transform: rotateY(-90deg);
  }

  25%,
  50% {
    opacity: 1;
    transform: rotateY(0deg);
  }
}
@media screen and (max-width: 767px) {
  .ctn-preloader .animation-preloader .spinner {
    height: 8em;
    width: 8em;
  }
  .ctn-preloader .animation-preloader .txt-loading {
    font: bold 3.5em 'Montserrat', sans-serif;
  }
}

@media screen and (max-width: 500px) {
  .ctn-preloader .animation-preloader .spinner {
    height: 7em;
    width: 7em;
  }
  .ctn-preloader .animation-preloader .txt-loading {
    font: bold 2em 'Montserrat', sans-serif;
  }
}
/*  PRELOADER END  */

/* testimonial */
.d-block{
    padding-bottom: 170px;
    padding-left: 538px;
  }
  
  .head{
    text-align: center;
  }
  
  .text-box{
    font-size: 16px;
  font-style: italic;
  }

  .testimonial-section{
    padding-top: 50px;
    position: relative;
    background-size: cover ;
    background-color: #E8E8E8;
  }





  
header .navigation{
  position: relative;
  display: flex;
  
}
header .navigation li{
  list-style: none;
  margin-left: 30px;

}
header .navigation li a{
  list-style: none;
  color: #fff;
  font-weight: 300;

}
header .navigation li a:hover{
  color: #ff0157;

}
header.sticky .navigation li a{
  color: #111;
}


  /* media querry start from here!@! DPR-4*/

  @media (max-width:991px){
    header,
    header .sticky{
        padding: 10px 20px;

    }

    header .navigation{
        display: none;
    }




    .menuToggle{
      position: relative;
      width: 40px;
      height: 40px;
      background: url(menu_bar.png);
      background-size: 30px;
      background-repeat: no-repeat;
      background-position: center;
      cursor: pointer;

  }

  .menuToggle.active{
      background: url(334-3343695_x-marks-the-spot-clipart.png);
      background-size: 30px;
      background-repeat: no-repeat;
      background-position: center;
  }

  .menuToggle{
      /* filter: invert(100%); */

  }


  header .navigation.active{
    width: 100%;
    height: calc(100% - 68px);
    position: fixed;
    top: 68px;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: #fff;

}
  header .navigation li{
    margin-left: 0;
    
}
  header .navigation li a{
    color: #111;
    font-size: 1.6em;
    /* font-weight: 300; */
    
}


.info {
  /* transform: translateY(-200%);
  color: white; */
  font-size: 35px;
  /* text-align: center;
  margin-left: 5%; */
}

.serv-list li{
  margin-bottom: 2px;
}
.head-1,
  .ex,
  .follow {
    font-size: 10px;
    padding-bottom: 0.5%;
  }

  .explore {
    
    /* margin-left: 40%; */
    transform: translateY(-120%);
    /* transform: translateX(-150%); */
    
  }
  .news {
    letter-spacing: 1px;
    font-size: 16px;
  }
  .sub {
    font-size: 13px;
  }

  .letter {
    width: 70px;
    height: 30px;
  }

  .emailbox {
    width: 250px;
    height: 30px;
    font-size: 11px;
    /* padding-left: 20px; */
  }

  .social {
    /* padding-top: 0px;
    margin-top: 0px; */
    /* margin-left: 80%; */
    transform: translateY(-550%);
    /* transform: translateX(-30%); */
    /* padding-bottom: 0px;
    margin-bottom: 0px; */
  }
}
